# 2.0.7

- Link to documentation

# 2.0.6

## Not breaking fix

- upgrade libraries

- Upgrade libraries



# v2.0.5

## Not breaking changes

- Upgrade dependencies

# v2.0.4

## Not breaking changes

- Upgrade dependencies

# v2.0.0

## Breaking changes

-` BluePrint` classes must implement a method named `getRenderMethodName()`

To migrate from v1.0.0 in every BluePrint subclass create a method

```javascript
class Something extends BluePrint {
  // ...

  getRenderMethodName() {
    return 'renderSomething'
  }  

  // ...
}
```

- Router.getRenderMethodName() does not use the BluePrint class name any more.
  Instead it asks for the method name to the BluePrint.
  This change allows routing when the runtime does not preserve class names, mostly
  React apps deployed in production mode where js files are minified.